Subject: Re: [BUG] PREFIX environment variable ignored by git config --system

From: Junio C Hamano <[email-masked]>
Date: Wed, 29 Jan 2025 08:41:59 -0800

<[email-masked]> writes:

> Thank you for filling out a Git bug report!
>
> Please answer the following questions to help us understand your issue.
>
> What did you do before the bug happened? (Steps to reproduce your issue)
> export PREFIX=/home/randall
> git config --system --list
>
> What did you expect to happen? (Expected behavior)
> Git should use ${PREFIX}/etc/gitconfig instead of the build location to

But that is now how PREFIX works, as far as I remember.  PREFIX is a
build-time thing.

Perhaps you are looking for RUNTIME_PREFIX build-time option?  I do
not know how well it is maintained these days, and if it allows you
to futz with the paths at runtime (without _moving_ the executable
and all other installation material en masse), though.